Last Comment Bug 799068 - Land in comm-central Instantbird's changes to chat/ - 3
: Land in comm-central Instantbird's changes to chat/ - 3
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Instant Messaging (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 18.0
Assigned To: Florian Quèze [:florian] [:flo]
:
:
Mentors:
Depends on: 812921
Blocks: 753807 776901 799504
  Show dependency treegraph
 
Reported: 2012-10-08 03:32 PDT by Florian Quèze [:florian] [:flo]
Modified: 2014-01-03 09:50 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
28 changesets from Instantbird's repository (68.45 KB, patch)
2012-10-08 06:53 PDT, Florian Quèze [:florian] [:flo]
no flags Details | Diff | Splinter Review
3 changesets for comm-beta (Tb17) (3.42 KB, patch)
2012-10-10 05:46 PDT, Florian Quèze [:florian] [:flo]
standard8: approval‑comm‑beta+
Details | Diff | Splinter Review

Description Florian Quèze [:florian] [:flo] 2012-10-08 03:32:52 PDT
+++ This bug was initially created as a clone of Bug #776901 +++

There are lots of changesets touching the chat/ shared folder that have landed in hg.instantbird.org/instantbird and not comm-central since the previous sync in bug 776901.
Comment 1 Florian Quèze [:florian] [:flo] 2012-10-08 06:53:18 PDT
Created attachment 669133 [details] [diff] [review]
28 changesets from Instantbird's repository

Fix a confusing comment in irc.js, rs=fqueze.
Bio 1439 - Make unambiguous command prefixes work as command aliases, r=aleth.
Bio 1530 - Autoscroll broken after moz13 update when restoring from hold and using Bubbles, r=fqueze.
Bio 1616 - Unread ruler in split bubble just before an action message hides the sender name, r=fqueze.
Bio 1236 - JSON log viewer conversation bubbles should have the same colors as when the conversation happened, r=fqueze.
Bio 1618 - Tags are never really removed from contacts, r=clokep.
Bio 1524 - Moving a JS-XMPP buddy from a tag to another should work and save this change on the server, r=clokep.
Bio 1231 - JS-XMPP should display HTML messages.
Bio 1634 - The /join IRC command should work without argument when typed in a parted room, r=clokep.
Bio 1561 - Remove libpurple's pretentious /wallops help message, r=aleth.
Bio 1668 - Enhance imXPCOMUtils debug logging to have module-specific prefs, r=fqueze.
Bio 1672 - Truncated RTs don't always show the full original tweet, r=clokep.
Bio 1628 - Unhandled IRC message: 330 RPL_WHOISACCOUNT, r=aleth.
Bio 1657 - Unhandled IRC message 475 ERR_BADCHANNELKEY, r=aleth.
Bio 1671 - Include twitter users' names in tooltips, r=clokep.
Bio 1615 - IRC CTCP messages break if there is a line break, r=aleth.
Bio 1684 - Name of the inviter not correctly displayed when invited to join an IRC channel, r=fqueze.
Follow-up to bio 1615 - Fix display of new lines to match outgoing messages, r=fqueze.
Bio 1559 - IRC should abide by messenger.conversations.autoAcceptChatInvitations, r=aleth.
Bio 1666 - Set twitter topic to the user's self-description, r=clokep,fqueze.
Bio 1659 - Unhandled IRC message 442: You're not on that channel, r=aleth.
Bio 1695 - Ping only for twitter '@' mentions, r=fqueze.
Bio 1541 - MODE fails to handle when a key is set and we are in the room, r=aleth.
Remove duplicated debug log message in irc.js, r=clokep over IRC.
Bio 1701 - XMPP should strip whitespace around JID, r=fqueze.
Bio 1709 - Remove purple specific property from prplIChatRoomFieldValues, r=fqueze.
Bio 1718 - Error: ERR_NOTEXTTOSEND: No text to send for PRIVMSG, r=fqueze.
Bio 1655 - Unhandled IRC messages around bans, r=aleth.

I had to tweak the changesets from bio 1236, bio 1615 and bio 1718 before the applied (because some patches are already in comm-central, and landed in a different order), but the result after importing this set of changesets is identical to what we have in Instantbird's chat/ folder minus:
https://hg.mozilla.org/comm-central/rev/9e8f283a8af1#l2.1 (moz16)
http://hg.mozilla.org/comm-central/rev/6ce4c3cdaf3c#l47.1 (moz17)
http://hg.mozilla.org/comm-central/rev/ca6d6339aee9#l3.1 (moz17)
so I'm pretty confident that my tweaks didn't mess up anything :).
Comment 2 Florian Quèze [:florian] [:flo] 2012-10-08 11:29:25 PDT
Before landing I also addressed https://bugzilla.instantbird.org/show_bug.cgi?id=1668#c10, and included https://bugzilla.instantbird.org/show_bug.cgi?id=1721

https://hg.mozilla.org/comm-central/rev/ca65cb934778
https://hg.mozilla.org/comm-central/rev/1e302fac410f
https://hg.mozilla.org/comm-central/rev/5db319a1956e
https://hg.mozilla.org/comm-central/rev/d8163dea2a04
https://hg.mozilla.org/comm-central/rev/74017bd35746
https://hg.mozilla.org/comm-central/rev/6155d672e6e6
https://hg.mozilla.org/comm-central/rev/892199855e70
https://hg.mozilla.org/comm-central/rev/e558d09b0d80
https://hg.mozilla.org/comm-central/rev/7c25969923a4
https://hg.mozilla.org/comm-central/rev/170c76673843
https://hg.mozilla.org/comm-central/rev/c40990a91e8f
https://hg.mozilla.org/comm-central/rev/c828b03dc54f
https://hg.mozilla.org/comm-central/rev/761a3d920a6a
https://hg.mozilla.org/comm-central/rev/20e6c34f0aeb
https://hg.mozilla.org/comm-central/rev/b552545180b7
https://hg.mozilla.org/comm-central/rev/67cdff704c24
https://hg.mozilla.org/comm-central/rev/78132f7aa679
https://hg.mozilla.org/comm-central/rev/a2709a9d9add
https://hg.mozilla.org/comm-central/rev/bc7889f04c97
https://hg.mozilla.org/comm-central/rev/3e0437d26144
https://hg.mozilla.org/comm-central/rev/953c0ace2dbb
https://hg.mozilla.org/comm-central/rev/10ed7ec08076
https://hg.mozilla.org/comm-central/rev/3985580363ab
https://hg.mozilla.org/comm-central/rev/51e4c6d25234
https://hg.mozilla.org/comm-central/rev/31902ce02aa6
https://hg.mozilla.org/comm-central/rev/48f16987f00f
https://hg.mozilla.org/comm-central/rev/528c1d273673
https://hg.mozilla.org/comm-central/rev/8b21aa7d2157
https://hg.mozilla.org/comm-central/rev/97b223a0ed8e
Comment 3 Florian Quèze [:florian] [:flo] 2012-10-10 05:46:22 PDT
Created attachment 669932 [details] [diff] [review]
3 changesets for comm-beta (Tb17)

[Approval Request Comment]
I've been more or less convinced by bug 799504 that we should take the fix from bio 1672 for Tb17 (comm-beta), so I reviewed the list of changesets we landed here. I found 3 trivial fixes that I think have a low risk and visible impact:
Bio 1672 - Truncated RTs don't always show the full original tweet, r=clokep.
Bio 1684 - Name of the inviter not correctly displayed when invited to join an IRC channel, r=fqueze.
Bio 1701 - XMPP should strip whitespace around JID, r=fqueze.

I'm attaching these 3 changesets again to request approval on this attachment.
Comment 4 Florian Quèze [:florian] [:flo] 2012-10-10 06:47:06 PDT
https://hg.mozilla.org/releases/comm-beta/rev/28133b63f623
https://hg.mozilla.org/releases/comm-beta/rev/b5d2e04a8d45
https://hg.mozilla.org/releases/comm-beta/rev/e62841058776

I'm setting status-thunderbird17 to "fixed" but that means only that the changesets approved for Tb17 have landed, not that everything listed in comment 1 will be fixed in Tb17.
Comment 5 Patrick Cloke [:clokep] 2014-01-03 09:50:14 PST
Mapping to BMO bugs:

(In reply to Florian Quèze [:florian] [:flo] from comment #1)
> Created attachment 669133 [details] [diff] [review]
> 28 changesets from Instantbird's repository
>
> Fix a confusing comment in irc.js, rs=fqueze.
> Bug 954873 - Make unambiguous command prefixes work as command aliases,
> r=aleth.
> Bug 954962 - Autoscroll broken after moz13 update when restoring from hold and
> using Bubbles, r=fqueze.
> Bug 955046 - Unread ruler in split bubble just before an action message hides
> the sender name, r=fqueze.
> Bug 954668 - JSON log viewer conversation bubbles should have the same colors
> as when the conversation happened, r=fqueze.
> Bug 955048 - Tags are never really removed from contacts, r=clokep.
> Bug 954956 - Moving a JS-XMPP buddy from a tag to another should work and save
> this change on the server, r=clokep.
> Bug 954663 - JS-XMPP should display HTML messages.
> Bug 955064 - The /join IRC command should work without argument when typed in
> a parted room, r=clokep.
> Bug 954992 - Remove libpurple's pretentious /wallops help message, r=aleth.
> Bug 955097 - Enhance imXPCOMUtils debug logging to have module-specific prefs,
> r=fqueze.
> Bug 955101 - Truncated RTs don't always show the full original tweet, r=clokep.
> Bug 955058 - Unhandled IRC message: 330 RPL_WHOISACCOUNT, r=aleth.
> Bug 955086 - Unhandled IRC message 475 ERR_BADCHANNELKEY, r=aleth.
> Bug 955100 - Include twitter users' names in tooltips, r=clokep.
> Bug 955045 - IRC CTCP messages break if there is a line break, r=aleth.
> Bug 955112 - Name of the inviter not correctly displayed when invited to join
> an IRC channel, r=fqueze.
> Follow-up to Bug 955045 - Fix display of new lines to match outgoing messages,
> r=fqueze.
> Bug 954990 - IRC should abide by
> messenger.conversations.autoAcceptChatInvitations, r=aleth.
> Bug 955095 - Set twitter topic to the user's self-description, r=clokep,fqueze.
> Bug 955088 - Unhandled IRC message 442: You're not on that channel, r=aleth.
> Bug 955123 - Ping only for twitter '@' mentions, r=fqueze.
> Bug 954973 - MODE fails to handle when a key is set and we are in the room,
> r=aleth.
> Remove duplicated debug log message in irc.js, r=clokep over IRC.
> Bug 955129 - XMPP should strip whitespace around JID, r=fqueze.
> Bug 955137 - Remove purple specific property from prplIChatRoomFieldValues,
> r=fqueze.
> Bug 955146 - Error: ERR_NOTEXTTOSEND: No text to send for PRIVMSG, r=fqueze.
> Bug 955084 - Unhandled IRC messages around bans, r=aleth.

Note You need to log in before you can comment on or make changes to this bug.